*{
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

body{
    background-color: #f4f4f4;
    font-family: 'Oswald', sans-serif;
    line-height: 1.41;
}

header{
    background-color: white;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.1);
    position: fixed;
    width: 100%;
    z-index: 80;
}

header a{
    display: inline-block;
    padding: 15px;
}

ul, a{
    text-decoration: none;
    list-style: none; 
}

#logo{
    display: inline-block;
    width: -webkit-calc(100% - 210px);
    width:    -moz-calc(100% - 210px);
    width:         calc(100% - 210px);
}

header #logo img{
    width: 120px
}

.nav-toggle{
    display: inline-block;
    width: 170px;
    text-align: right;

}

.google-link{
    display: inline-block;
    width: 80%; 
    text-align: right;
}

.nav-toggle-icon{
    display: inline-block;
    width: 10%;
    font-size: 1.5em;
    color: gray;
    vertical-align: bottom;
}

.nav-toggle-icon i{
    padding-bottom: 10px;
}

.nav-toggle-options{
    display: none;
    background-color: #f4f4f4;
    position:absolute;
    right: 20px;
    width: 150px;
    box-shadow: 0px 10px 20px rgba(0,0,0,0.5);
    z-index: 1;
}

.nav-toggle-options a{
    color: black;
    width: 100%;
    position: block;
}


.nav-toggle:hover .nav-toggle-options{
    display: block;
}

.nav-toggle-options a:hover{
    background-color: white;
}


#manual-entry{
    position: relative;
}

#manual-entry .container{
    background-image: linear-gradient(rgb(255,0,0,0.6), rgb(255,0,0,0.9)), url('../img/background-img.jpg');
    background-size: cover; 
    background-attachment: fixed;
    padding: 10px;
    text-align: center;
    max-width: 1000px;
    position: absolute;
    top: 70px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;   
}

.manual-entry-title{
    padding: 10px;
    margin: 10px;
    background-color: #f4f4f4;
    color: red;
}

.manual-entry-title h4{
    color: black;
    padding: 10px;
}

.manual-entry-body, .manual-entry-footer{
    background-color: #f4f4f4;
    padding: 10px;
    margin: 10px;
    color: gray;
    font-size: 0.9em;
}

#manual-entry-form .form-field{
    padding:10px;
    text-transform: uppercase;
    vertical-align: top;

}

#manual-entry-form input,
#manual-entry-form textarea,
#manual-entry-form select{
    border: none;
    background-color: #f4f4f4;
    box-shadow: 0px 2px 15px rgb(0,0,0,0.1);
    padding-left: 20px;
}


#manual-entry-form label{
    display: inline-block;
    padding: 0px 0px 10px;
}

#name-select, #lastname-select, #email-select{
    width: 100%;
    height: 35px;
}

.input{
    position: relative;
}

#date ~ .focus-border, #name-select ~ .focus-border, #lastname-select ~ .focus-border,
#email-select ~ .focus-border, #time ~ .focus-border, #reason ~ .focus-border {
    position: absolute; 
    bottom: 0; 
    left: 0; 
    width: 0%; 
    height: 2px; 
    background-color: red; 
    transition: 0.4s;
}

#date:focus, #time:focus, #reason:focus, #name-select:focus, #lastname-select:focus, #email-select:focus{
    outline: none;
}

#date:hover ~ .focus-border, #name-select:hover ~ .focus-border, #lastname-select:hover ~ .focus-border,
#email-select:hover ~ .focus-border, #time:hover ~ .focus-border, #reason:hover ~ .focus-border {
    width: 100%; 
    transition: 0.4s;
}

.form-date{
    display: inline-block;
    width: 30%;
}

#date{
    text-align: center;
    width: 100%;
    height: 35px;
}

.form-time{
    display: inline-block;
    width: 25%;
}

#time{
    text-align: center;
    width: 100%;
    height: 35px;
}

.form-request-type{
    display: inline-block;
    width: 40%;
}

.type{
    display: inline-block;
    padding: 10px 10px;
    width: 25%;
}

.type .type-label{
    display: block;
    position: relative;  
    padding-left: 35px;
    margin-bottom: 12px;
}

.type .type-label input{
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0; 
}

.checkmark {
    position: absolute;
    top: 0;
    left: -30px;
    height: 25px;
    width: 25px;
    background-color: #eee;
  }

  .type-label:hover input ~ .checkmark {
    background-color: #ccc;
  }

  .type-label input:checked ~ .checkmark {
    background-color: red;
  }

  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }

  .type-label input:checked ~ .checkmark:after {
    display: block;
  }

  .type-label .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }



/*.type:hover .type-checkbox input{
    outline: 2px solid red;
    outline-offset: 1px;
}*/

.form-reason #reason{
    display: inline-block;
    width: 100%;
    height: 40px;;
}

.form-button .btn{
    padding: 15px;
    border: none;
    color:#f4f4f4;
    background-color: red;
    text-transform: uppercase;
    font-weight: bold;
}

#current-entries .entry{
    display: block;
    padding: 10px;
}

.entry .entry-type, .entry .entry-time{
    display: inline-block;
    width: 40%;
    text-align: left;
}

.entry .in-type{
    color: green;
}

.entry .out-type{
    color: red;
}

.entry .delete{
    display: inline-block;
    width: 10%;
    text-align: right;
    color: red;
}

.entry .delete i{
    display: none;
}

.entry .title, .entry .time{
    color: black;
    text-transform: uppercase;
}


@media screen and (min-width: 600px){


    #current-entries{
        width: 50%;
        margin: auto;
    }

}

@media screen and (min-width: 1000px){



    .form-name{
        display: inline-block;
        width: 33%;
    }

    .form-lastname{
        display: inline-block;
        width: 33%;
    }

    .form-email{
        display: inline-block;
        width: 33%;
    }

    .form-date{
        display: inline-block;
        width:33%;
    }

    .form-time{
        display: inline-block;
        width:33%;
    }

    .form-request-type{
        display: inline-block;
        width: 33%;
    }

    .form-reason{
        display: inline-block;
        width: 50%;
    }

    #current-entries{
        width: 50%;
        margin: auto;
    }

}

